> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance 2.0 Image-to-Video 이미지-비디오

> - 이미지 1장을 입력하면 첫 프레임 비디오를 생성하고, 이미지 2장을 입력하면 첫/끝 프레임 비디오를 생성하며, 모델이 자동으로 판단합니다
- **AIGC 유형 실사 소재 지원**
- 비동기 처리 모드로, 반환된 작업 ID를 사용하여 [조회하세요](/ko/api-manual/task-management/get-task-detail)
- 생성된 비디오 링크는 24시간 동안 유효하며, 가능한 빨리 저장하세요



## OpenAPI

````yaml ko/api-manual/video-series/seedance2.0/seedance-2.0-image-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Seedance 2.0 Image-to-Video API
  description: Seedance 2.0 이미지-비디오 API, 첫 프레임 이미지-비디오 및 첫/끝 프레임 이미지-비디오를 지원합니다
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 프로덕션 환경
security:
  - bearerAuth: []
tags:
  - name: 비디오 생성
    description: AI 비디오 생성 관련 API
paths:
  /v1/videos/generations:
    post:
      tags:
        - 비디오 생성
      summary: Seedance 2.0 Image-to-Video 이미지-비디오
      description: >-
        - 이미지 1장을 입력하면 첫 프레임 비디오를 생성하고, 이미지 2장을 입력하면 첫/끝 프레임 비디오를 생성하며, 모델이 자동으로
        판단합니다

        - **AIGC 유형 실사 소재 지원**

        - 비동기 처리 모드로, 반환된 작업 ID를 사용하여
        [조회하세요](/ko/api-manual/task-management/get-task-detail)

        - 생성된 비디오 링크는 24시간 동안 유효하며, 가능한 빨리 저장하세요
      operationId: createSeedance20ImageToVideo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
            examples:
              first_frame:
                summary: 첫 프레임 이미지-비디오
                value:
                  model: seedance-2.0-image-to-video
                  prompt: >-
                    The camera slowly zooms in, the scene gradually comes to
                    life
                  image_urls:
                    - https://example.com/first-frame.jpg
                  duration: 5
                  aspect_ratio: adaptive
              first_last_frame:
                summary: 첫/끝 프레임 이미지-비디오
                value:
                  model: seedance-2.0-image-to-video
                  prompt: A smooth transition between two scenes
                  image_urls:
                    - https://example.com/first.jpg
                    - https://example.com/last.jpg
                  duration: 6
                  aspect_ratio: '16:9'
      responses:
        '200':
          description: 비디오 생성 작업이 성공적으로 생성되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: 요청 파라미터 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 미인증, Token이 유효하지 않거나 만료됨
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 할당량 부족, 충전 필요
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 접근 권한 없음
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    seedance-2.0-image-to-video
                  type: invalid_request_error
        '429':
          description: 요청 빈도 초과
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 서버 내부 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    VideoGenerationRequest:
      type: object
      required:
        - model
        - prompt
        - image_urls
      properties:
        model:
          type: string
          description: 비디오 생성 모델 이름
          enum:
            - seedance-2.0-image-to-video
          default: seedance-2.0-image-to-video
          example: seedance-2.0-image-to-video
        prompt:
          type: string
          description: >-
            생성할 비디오를 설명하는 텍스트 프롬프트. 중국어와 영어를 지원하며, 중국어는 500자 이내, 영어는 1000단어 이내를
            권장합니다. 프롬프트 최대 길이: 10000 tokens


            **주의:**

            - 이 모델은 `video_urls`, `audio_urls` 입력을 지원하지 않습니다
          example: The camera slowly zooms in, the scene gradually comes to life
        image_urls:
          type: array
          description: >-
            이미지 URL 배열, **1~2장**


            **이미지 수량 및 동작:**


            | 이미지 수량 | 동작 | 역할 |

            |:--------:|------|------|

            | 1장 | 첫 프레임 이미지-비디오 | 자동으로 `first_frame` 설정 |

            | 2장 | 첫/끝 프레임 이미지-비디오 | 1번째 → `first_frame`, 2번째 → `last_frame` |


            **이미지 요구사항:**

            - 지원 형식: `.jpeg`, `.png`, `.webp`

            - 화면 비율(너비/높이): `0.4` ~ `2.5`

            - 너비/높이 픽셀: `300` ~ `6000` px

            - 단일 파일 크기: `30MB` 이하

            - 요청 본문 총 크기 `64MB` 이하

            - 첫/끝 프레임 입력 시 두 이미지가 동일할 수 있습니다. 화면 비율이 다를 경우 첫 프레임을 기준으로 하며, 끝
            프레임은 자동으로 크롭하여 맞춥니다

            - 이미지 URL은 서버에서 직접 접근 가능해야 합니다
          items:
            type: string
            format: uri
          minItems: 1
          maxItems: 2
          example:
            - https://example.com/first-frame.jpg
        duration:
          type: integer
          description: |-
            비디오 길이(초), 기본값은 `5`초

            **설명:**
            - `4`~`15`초 사이의 임의의 정수값을 지원합니다
            - 재생 시간은 과금에 직접적으로 영향을 미칩니다
          default: 5
          minimum: 4
          maximum: 15
          example: 5
        quality:
          type: string
          description: |-
            비디오 해상도, 기본값은 `720p`

            **선택 가능한 값:**
            - `480p`: 낮은 해상도, 낮은 가격
            - `720p`: 표준 해상도, 기본값
            - `1080p`: 초고해상도
            - `4k`: 4K 초고해상도
          enum:
            - 480p
            - 720p
            - 1080p
            - 4k
          default: 720p
          example: 720p
        aspect_ratio:
          type: string
          description: |-
            비디오 화면 비율, 기본값은 `16:9`

            **선택 가능한 값:**
            - `16:9`(가로), `9:16`(세로), `1:1`(정사각형), `4:3`, `3:4`, `21:9`(울트라와이드)
            - `adaptive`: 첫 프레임 이미지 비율에 따라 가장 가까운 화면 비율을 자동 선택

            **각 해상도별 픽셀 값:**

            | 화면 비율 | 480p | 720p | 1080p | 4K |
            |:------:|:----:|:----:|:-----:|:----:|
            | 16:9 | 864×496 | 1280×720 | 1920×1080 | 3840×2160 |
            | 4:3 | 752×560 | 1112×834 | 1664×1248 | 3326×2494 |
            | 1:1 | 640×640 | 960×960 | 1440×1440 | 2880×2880 |
            | 3:4 | 560×752 | 834×1112 | 1248×1664 | 2494×3326 |
            | 9:16 | 496×864 | 720×1280 | 1080×1920 | 2160×3840 |
            | 21:9 | 992×432 | 1470×630 | 2206×946 | 4398×1886 |
          enum:
            - '16:9'
            - '9:16'
            - '1:1'
            - '4:3'
            - '3:4'
            - '21:9'
            - adaptive
          default: '16:9'
          example: adaptive
        generate_audio:
          type: boolean
          description: |-
            동기화된 오디오 생성 여부, 기본값은 `true`

            **선택 가능한 값:**
            - `true`: 비디오에 동기화된 오디오가 포함되며, 추가 요금이 없습니다
            - `false`: 무음 비디오 출력
          default: true
          example: true
        content_filter:
          type: boolean
          description: >-
            콘텐츠 필터, 기본값은 `true`


            **선택 가능한 값:**

            - `true`: 표준 콘텐츠 안전 검사, 기본값입니다

            - `false`: 콘텐츠 제한을 완화하며 +10%(`1.1x`)가 청구됩니다. 불법 및 금지된 콘텐츠는 이 설정과
            관계없이 항상 적용됩니다
          default: true
          example: true
        callback_url:
          type: string
          description: >-
            작업 완료 후 HTTPS 콜백 주소


            **콜백 시점:**

            - 작업 완료(completed), 실패(failed) 또는 취소(cancelled) 시 트리거

            - 과금 확인 완료 후 전송


            **보안 제한:**

            - HTTPS 프로토콜만 지원

            - 내부 네트워크 IP 주소로의 콜백 금지(127.0.0.1, 10.x.x.x, 172.16-31.x.x,
            192.168.x.x 등)

            - URL 길이는 `2048`자를 초과할 수 없습니다


            **콜백 메커니즘:**

            - 타임아웃: `10`초

            - 실패 시 최대 `3`회 재시도(실패 후 각각 `1`/`2`/`4`초 후 재시도)

            - 콜백 응답 본문 형식은 작업 조회 API 반환 형식과 동일

            - 2xx 상태 코드를 성공으로 간주하며, 다른 상태 코드는 재시도를 트리거합니다
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 작업 생성 타임스탬프
          example: 1761313744
        id:
          type: string
          description: 작업 ID
          example: task-unified-1774857405-abc123
        model:
          type: string
          description: 실제 사용된 모델 이름
          example: seedance-2.0-image-to-video
        object:
          type: string
          enum:
            - video.generation.task
          description: 작업의 구체적 유형
        progress:
          type: integer
          description: 작업 진행률 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 작업 상태
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 비디오 작업 상세 정보
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 작업의 출력 유형
          example: video
        usage:
          $ref: '#/components/schemas/VideoUsage'
          description: 사용량 및 과금 정보
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 오류 코드 식별자
            message:
              type: string
              description: 오류 설명 정보
            type:
              type: string
              description: 오류 유형
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 작업 취소 가능 여부
          example: true
        estimated_time:
          type: integer
          description: 예상 완료 시간(초)
          minimum: 0
          example: 165
        video_duration:
          type: integer
          description: 비디오 길이(초)
          example: 8
    VideoUsage:
      type: object
      description: 사용량 및 과금 정보
      properties:
        billing_rule:
          type: string
          description: 과금 규칙
          enum:
            - per_call
            - per_token
            - per_second
          example: per_second
        credits_reserved:
          type: number
          description: 예상 소비 크레딧 수
          minimum: 0
          example: 50
        user_group:
          type: string
          description: 사용자 그룹 카테고리
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##모든 API는 Bearer Token 인증이 필요합니다##

        **API Key 얻기:**

        [API Key 관리 페이지](https://evolink.ai/dashboard/keys)에서 API Key를 받으세요

        **요청 헤더에 다음을 추가하세요:**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````